import React from 'react';
import styled from 'styled-components';
import defaultTheme from '../../../theme';
import { MenuItem } from './MenuItem';
export const Menu = styled(({ children, theme, ...rest }) => {
    return (React.createElement("div", Object.assign({}, rest), React.Children.map(children, (child, index) => {
        const props = {
            color: rest.color,
        };
        if (index === 0) {
            props.position = 'left';
        }
        return React.cloneElement(child, props);
    })));
})({
    display: 'flex',
    alignItems: 'stretch',
    marginBottom: '1rem',
    minHeight: '2.5em',
}, 
// Background color
({ color, theme }) => ({
    backgroundColor: color
        ? theme.colors[color].default
        : theme.colors.white.default,
    borderBottom: `1px solid ${theme.greyscale.dark}`,
}), 
// MenuItem border color
({ color, theme }) => {
    if (!color) {
        return;
    }
    return {
        [MenuItem]: {
            borderColor: theme.colors.white.default,
        },
    };
});
Menu.defaultProps = {
    theme: defaultTheme,
};
