import styled from 'styled-components';
import { clickable, primary } from '../../../utils';
import defaultTheme from '../../../theme';
export const MenuItem = styled.div({
    position: 'relative',
    display: 'flex',
    alignItems: 'center',
    padding: '1em 1.5em',
}, 
// Colourable
primary, 
// Make clickable
(props) => (props.onClick || props.href ? clickable(props) : null), 
// Position
({ position, theme }) => {
    if (!position) {
        return null;
    }
    const border = position === 'left' ? 'borderRight' : 'borderLeft';
    const res = {
        [border]: `1px solid ${theme.greyscale.dark}`,
    };
    if (position === 'right') {
        res.marginLeft = 'auto';
    }
    return res;
});
MenuItem.defaultProps = {
    theme: defaultTheme,
    color: 'white',
};
